import { jsonError } from "../../../common.js";

export async function onRequestPost(context: RequestContext) {
  const appealId = context.params.id as string;

  const appeal = await context.env.D1.prepare(
    "SELECT * FROM game_appeals WHERE id = ?;",
  )
    .bind(appealId)
    .first();

  if (!appeal) return jsonError("Appeal not found", 404);

  await context.env.D1.prepare("DELETE FROM game_appeals WHERE id = ?;")
    .bind(appealId)
    .run();

  await context.env.DATA.put(
    `gameappealblock_${appeal.roblox_id}`,
    `${Date.now() + 2592000000}`,
    { expirationTtl: 2592000 },
  );

  return new Response(null, {
    status: 204,
  });
}
